﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace WindowSL
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            var window = new RadWindow();
            window.Width = 400;
            window.Height = 400;
            var stackPanel = new StackPanel();
            var autoComplete = new RadAutoCompleteBox { ItemsSource = new List<string> { "aaa", "bbb", "ccc" } };
            var textBox = new TextBox();
            stackPanel.Children.Add(autoComplete);
            stackPanel.Children.Add(textBox);
            window.Content = stackPanel;
            autoComplete.LostFocus += autoComplete_LostFocus;

            window.Show();
        }

        void autoComplete_LostFocus(object sender, RoutedEventArgs e)
        {

            if ((sender as RadAutoCompleteBox).SelectedItem == null && (sender as RadAutoCompleteBox).IsDropDownOpen == false)
            {
                RadWindow.Alert("Please select an item.");
            }
        }
    }
}
